メインコンテンツへスキップ
GET
/
sign_requests
cURL
curl -i -X GET "https://api.box.com/2.0/sign_requests" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "entries": [
    {
      "is_document_preparation_needed": true,
      "redirect_url": "https://www.example.com",
      "declined_redirect_url": "https://declined-redirect.com",
      "are_text_signatures_enabled": true,
      "email_subject": "Sign Request from Acme",
      "email_message": "Hello! Please sign the document below",
      "are_reminders_enabled": true,
      "name": "name",
      "prefill_tags": [
        {
          "document_tag_id": "1234",
          "text_value": "text",
          "checkbox_value": true,
          "date_value": "2021-04-26"
        }
      ],
      "days_valid": 2,
      "external_id": "123",
      "template_id": "123075213-af2c8822-3ef2-4952-8557-52d69c2fe9cb",
      "external_system_name": "Box",
      "type": "sign-request",
      "source_files": [
        {
          "id": "12345",
          "type": "file",
          "etag": "1"
        }
      ],
      "signers": [
        {
          "email": "example@gmail.com",
          "role": "signer",
          "is_in_person": true,
          "order": 2,
          "embed_url_external_user_id": "1234",
          "redirect_url": "https://example.com",
          "declined_redirect_url": "https://declined-example.com",
          "login_required": true,
          "verification_phone_number": "6314578901",
          "signer_group_id": "cd4ff89-8fc1-42cf-8b29-1890dedd26d7",
          "suppress_notifications": false,
          "language": "en",
          "has_viewed_document": true,
          "signer_decision": {
            "type": "signed",
            "finalized_at": "2021-04-26T08:12:13.982Z",
            "additional_info": "Requesting changes before signing."
          },
          "inputs": [
            {
              "page_index": 4,
              "document_tag_id": "1234",
              "text_value": "text",
              "checkbox_value": true,
              "date_value": "2021-04-26",
              "type": "text",
              "content_type": "signature",
              "read_only": true,
              "validation": {
                "validation_type": "email"
              }
            }
          ],
          "embed_url": "https://example.com",
          "iframeable_embed_url": "https://app.box.com/embed/sign/document/gfhr4222-a331-494b-808b-79bc7f3992a3/f14d7098-a331-494b-808b-79bc7f3992a4",
          "attachments": [
            {
              "id": "12345",
              "name": "proof_of_identity.pdf"
            }
          ]
        }
      ],
      "signature_color": "blue",
      "id": "12345",
      "prepare_url": "https://prepareurl.com",
      "signing_log": {
        "id": "12345",
        "type": "file",
        "etag": "1",
        "sequence_id": "3",
        "name": "Contract.pdf",
        "sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
        "file_version": {
          "id": "12345",
          "type": "file_version",
          "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
        }
      },
      "status": "converting",
      "sign_files": {
        "files": [
          {
            "id": "12345",
            "type": "file",
            "etag": "1",
            "sequence_id": "3",
            "name": "Contract.pdf",
            "sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
            "file_version": {
              "id": "12345",
              "type": "file_version",
              "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
            }
          }
        ],
        "is_ready_for_download": true
      },
      "auto_expire_at": "2021-04-26T08:12:13.982Z",
      "parent_folder": {
        "id": "12345",
        "type": "folder",
        "etag": "1",
        "sequence_id": "3",
        "name": "Contracts"
      },
      "collaborator_level": "owner",
      "short_id": "SR-12345",
      "created_at": "2025-02-01T12:00:00Z",
      "finished_at": "2025-02-02T12:00:00Z",
      "sender_email": "sender@box.com",
      "sender_id": 12345
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

marker
string

結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。

これを使用するには、usemarkertrueに設定する必要があります。

limit
integer<int64>

返す項目の1ページあたりの最大数。

必須範囲: x <= 1000
senders
string[]

送信者で署名リクエストにフィルタをかけるための送信者のメールアドレスのリスト。指定した場合、shared_requeststrueに設定する必要があります。

shared_requests
boolean
デフォルト:false

trueに設定した場合、ユーザーが所有者ではなくコラボレータであるリクエストのみが含まれます。コラボレータのアクセス権限は、リクエストの署名ファイルのユーザーアクセスレベルによって決まります。デフォルト値はfalseです。sendersが指定されている場合はtrueに設定する必要があります。

レスポンス

署名リクエストのコレクションを返します。

任意のBox Sign APIエンドポイントからデフォルトで返される署名リクエストのStandard版の表示。

limit
integer<int64>

これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータのlimitと等しくなります。最大値はAPIによって異なります。

:

1000

next_marker
string | null

次の検索結果ページの開始場所のマーカー。

:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"

entries
Box Signリクエスト · object[]

Box Signリクエストのリスト。